module inputmodule
contains
subroutine input(Elec,Proton,N,Ne,length,dt,seed,Temp,itr,a,b)

	implicit none
	integer, intent(out) :: Elec,Proton,N,Ne,seed,itr 	!global parameters
	double precision, intent(out) :: length,Temp,dt,a,b
    double precision sigma,epsilon




!print *,"Enter numbers of atoms(on multiplies of N^3)"
!read *,N
!print *,"Enter seed"
!read *,o

Elec=92              !electrons
Proton=92            !protons

!N=4                !for hydrogen atom one proton(n=1) and one electorn(n=2)

Ne=146                !Neutrons

N=Elec+Proton+Ne    !total particles


itr=2000000             !no of steps
dt=0.02
length=10.0         !in Angstrom
seed=8787           !seed
Temp=300.0          !in kelvins just to initial velocity based on boltzmann distribution

!values to change
sigma=3.4           !in angstroms
epsilon=1.8874E-21    !in Joules

a=3.5
b=1.0






length=length/sigma !dimensionless length
!print*,"L",L





end subroutine input
end module inputmodule
	  
